com.threerings.micasa.lobby

## Class LobbyController

- java.lang.Object
- - com.samskivert.swing.Controller
  - - com.threerings.crowd.client.PlaceController
    - - com.threerings.micasa.lobby.LobbyController

All Implemented Interfaces:
  InvitationHandler, InvitationResponseObserver, ActionListener, EventListener

    public class LobbyController
    extends com.threerings.crowd.client.PlaceController
    implements InvitationHandler, InvitationResponseObserver

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.client.PlaceController

`com.threerings.crowd.client.PlaceController.DelegateOp`

### Field Summary

### Fields inherited from class com.samskivert.swing.Controller

`DISPATCHER`

### Constructor Summary

Constructors
Constructor and Description
`LobbyController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(com.threerings.crowd.util.CrowdContext ctx, com.threerings.crowd.data.PlaceConfig config)`
`void` `invitationAccepted(Invitation invite)` Called if the invitation was accepted.
`void` `invitationCancelled(Invitation invite)` Called when an invitation is cancelled by the inviting player.
`void` `invitationCountered(Invitation invite, GameConfig config)` Called if the invitation was countered with an alternate game configuration.
`void` `invitationReceived(Invitation invite)` Called when an invitation is received from another player.
`void` `invitationRefused(Invitation invite, String message)` Called if the invitation was refused.
`void` `willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)`

### Methods inherited from class com.threerings.crowd.client.PlaceController

`didLeavePlace, getPlaceConfig, getPlaceView, handleAction, mayLeavePlace`

### Methods inherited from class com.samskivert.swing.Controller

`actionPerformed, configureAction, createActionButton, handleAction, handleAction, handleAction, postAction, postAction, postAction, setControlledPanel, wasAdded, wasRemoved`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LobbyController

    public LobbyController()

### Method Detail

#### init

    public void init(com.threerings.crowd.util.CrowdContext ctx,
                     com.threerings.crowd.data.PlaceConfig config)

Overrides:
  `init` in class `com.threerings.crowd.client.PlaceController`

#### willEnterPlace

    public void willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)

Overrides:
  `willEnterPlace` in class `com.threerings.crowd.client.PlaceController`

#### invitationReceived

    public void invitationReceived(Invitation invite)

Description copied from interface: `InvitationHandler`
Called when an invitation is received from another player.

Specified by:
  `invitationReceived` in interface `InvitationHandler`
Parameters:
  `invite` - the received invitation.

#### invitationCancelled

    public void invitationCancelled(Invitation invite)

Description copied from interface: `InvitationHandler`
Called when an invitation is cancelled by the inviting player.

Specified by:
  `invitationCancelled` in interface `InvitationHandler`
Parameters:
  `invite` - the cancelled invitation.

#### invitationAccepted

    public void invitationAccepted(Invitation invite)

Description copied from interface: `InvitationResponseObserver`
Called if the invitation was accepted.

Specified by:
  `invitationAccepted` in interface `InvitationResponseObserver`
Parameters:
  `invite` - the invitation for which we received a response.

#### invitationRefused

    public void invitationRefused(Invitation invite,
                                  String message)

Description copied from interface: `InvitationResponseObserver`
Called if the invitation was refused.

Specified by:
  `invitationRefused` in interface `InvitationResponseObserver`
Parameters:
  `invite` - the invitation for which we received a response.
  `message` - a message provided by the invited user explaining the reason for their refusal, or the empty string if no message was provided.

#### invitationCountered

    public void invitationCountered(Invitation invite,
                                    GameConfig config)

Description copied from interface: `InvitationResponseObserver`
Called if the invitation was countered with an alternate game configuration.

Specified by:
  `invitationCountered` in interface `InvitationResponseObserver`
Parameters:
  `invite` - the invitation for which we received a response.
  `config` - the game configuration proposed by the invited player.